[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Upgrade hack for bacula in EPEL5



Am 08.02.2010 18:36, schrieb Toshio Kuratomi:
The tar files there are giving me permission denied

[x] fixed

I think I forgot to mention one limitation of the upgrade hack:
bacula has several database backends - however these are not pluggable (e.g. dlopen/so file). Therefore we have packages like bacula-directory-sqlite and bacula-director-mysql. Currently you can have both installed in parallel but use just one of them (that's where the alternatives come into play).

With the upgrade hack, the different db specific packages will conflict with each other. If a user has such a configuration he can not upgrade without removing one of the packages before.

fs


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]